# Uses of Class
org.springframework.jmx.export.metadata.ManagedResource

Packages that use ManagedResource
Package
Description
org.springframework.jmx.export.annotation
Annotations for MBean exposure.
org.springframework.jmx.export.metadata
Provides generic JMX metadata classes and basic support for reading JMX metadata in a provider-agnostic manner.

## Uses of ManagedResource in org.springframework.jmx.export.annotation

Methods in org.springframework.jmx.export.annotation that return ManagedResource
Modifier and Type
Method
Description
`ManagedResource`
AnnotationJmxAttributeSource.`getManagedResource(Class<?> beanClass)`

## Uses of ManagedResource in org.springframework.jmx.export.metadata

Methods in org.springframework.jmx.export.metadata that return ManagedResource
Modifier and Type
Method
Description
`ManagedResource`
JmxAttributeSource.`getManagedResource(Class<?> clazz)`
Implementations should return an instance of `ManagedResource` if the supplied `Class` has the appropriate metadata.